pcl::io::DeBayer Class Reference
Module io

Various debayering methods. More...

`#include <pcl/io/debayer.h>`

## Public Member Functions

void | debayerBilinear (const unsigned char *bayer_pixel, unsigned char *rgb_buffer, unsigned width, unsigned height, int bayer_line_step=0, int bayer_line_step2=0, unsigned rgb_line_step=0) const
void | debayerEdgeAware (const unsigned char *bayer_pixel, unsigned char *rgb_buffer, unsigned width, unsigned height, int bayer_line_step=0, int bayer_line_step2=0, unsigned rgb_line_step=0) const
void | debayerEdgeAwareWeighted (const unsigned char *bayer_pixel, unsigned char *rgb_buffer, unsigned width, unsigned height, int bayer_line_step=0, int bayer_line_step2=0, unsigned rgb_line_step=0) const

## Detailed Description

Various debayering methods.

Author
  Suat Gedikli

Definition at line 52 of file debayer.h.

## Member Function Documentation

void pcl::io::DeBayer::debayerBilinear | ( | const unsigned char * | bayer_pixel,
|  | unsigned char * | rgb_buffer,
|  | unsigned | width,
|  | unsigned | height,
|  | int | bayer_line_step = `0`,
|  | int | bayer_line_step2 = `0`,
|  | unsigned | rgb_line_step = `0`
| ) |  | const

void pcl::io::DeBayer::debayerEdgeAware | ( | const unsigned char * | bayer_pixel,
|  | unsigned char * | rgb_buffer,
|  | unsigned | width,
|  | unsigned | height,
|  | int | bayer_line_step = `0`,
|  | int | bayer_line_step2 = `0`,
|  | unsigned | rgb_line_step = `0`
| ) |  | const

Referenced by pcl::io::LZFBayer8ImageReader::read(), and pcl::io::LZFBayer8ImageReader::readOMP().

void pcl::io::DeBayer::debayerEdgeAwareWeighted | ( | const unsigned char * | bayer_pixel,
|  | unsigned char * | rgb_buffer,
|  | unsigned | width,
|  | unsigned | height,
|  | int | bayer_line_step = `0`,
|  | int | bayer_line_step2 = `0`,
|  | unsigned | rgb_line_step = `0`
| ) |  | const

The documentation for this class was generated from the following file:

- /build/pcl-6_P28C/pcl-1.7.2/io/include/pcl/io/debayer.h